## ros-indigo-rocon-qt-library 0.7.12

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(rocon_qt_library)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED)
catkin_package()
catkin_python_setup()

##############################################################################
# Installs
##############################################################################

install(DIRECTORY ui
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-rocon-qt-library (0.7.12-0trusty) trusty; urgency=high

  * package dependency patch closes #199 <https://github.com/robotics-in-concert/rocon_qt_gui/issues/199>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 04 Aug 2015 15:00:00 -0000

ros-indigo-rocon-qt-library (0.7.11-0trusty) trusty; urgency=high

  * resolve conflict between threading lock and qmessage box closes #196 <https://github.com/robotics-in-concert/rocon_qt_gui/issues/196>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-indigo-rocon-qt-library (0.7.10-0trusty) trusty; urgency=high

  * add missing dependency closes #189 <https://github.com/robotics-in-concert/rocon_qt_gui/issues/189>
  * cleanup resource item list to closes #187 <https://github.com/robotics-in-concert/rocon_qt_gui/issues/187>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 26 Apr 2015 15:00:00 -0000

ros-indigo-rocon-qt-library (0.7.9-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 29 Mar 2015 15:00:00 -0000

ros-indigo-rocon-qt-library (0.7.8-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 22 Mar 2015 15:00:00 -0000

ros-indigo-rocon-qt-library (0.7.7-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 01 Mar 2015 15:00:00 -0000

ros-indigo-rocon-qt-library (0.7.6-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 27 Feb 2015 15:00:00 -0000

ros-indigo-rocon-qt-library (0.7.5-0trusty) trusty; urgency=high

  * fix name typo
  * ann use pose covariance
  * rocon_qt_library convert table to waypoint
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-indigo-rocon-qt-library (0.7.4-0trusty) trusty; urgency=high

  * update setup.py to install submodules fixes #173 <https://github.com/robotics-in-concert/rocon_qt_gui/issues/173>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 29 Dec 2014 15:00:00 -0000

ros-indigo-rocon-qt-library (0.7.3-0trusty) trusty; urgency=high

  * relocate ar_marker height as waiterbot
  * force to use lower case and underscore instead of capitals and space in world and map name #167 <https://github.com/robotics-in-concert/rocon_qt_gui/issues/167>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 28 Dec 2014 15:00:00 -0000

ros-indigo-rocon-qt-library (0.7.2-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-indigo-rocon-qt-library (0.7.1-0trusty) trusty; urgency=high

  * shutdown_plugin hook to releasing resources resolves #165 <https://github.com/robotics-in-concert/rocon_qt_gui/issues/165>
  * it now reveals gone resource and updates lists Closes #163 <https://github.com/robotics-in-concert/rocon_qt_gui/issues/163>
  * having lock around resource_item_list to avoid racing condition. close`#161 <https://github.com/robotics-in-concert/rocon_qt_gui/issues/161>`_
  * pep8 style method names in world_canvas library Fix #159 <https://github.com/robotics-in-concert/rocon_qt_gui/issues/159>
  * bug fixed
  * blocks improper save button use
  * now listworld is available
  * ignore combobox reset event
  * remove log
  * change draw viz_marker
  * load map implemented
  * upgrade map drawing
  * updates mirror transition
  * adjust x-axis symmetry to annotations
  * change display method about annotation info at textbox
  * minor update
  * updates
  * add destroyed hook in resource chooser
  * display unit in ui
  * create concert qt map annotater
  * save working
  * updates
  * updates
  * skipping processing scan and robot pose if it didn't receive map
  * removing unnecessary files
  * delete usused code
  * fixed map save btn layout
  * make slam widget instead of slam view
  * migrate code into util directory
  * create rocon qt util and update slam viewer code clean
  * delete unused code
  * rendering robot pose and laser scan info
  * scan and robot pose topic set
  * add concert_qt_make_a_map
  * resource chooser and teleop interface are now separated. rocon_teleop and concert_teleop works fine
  * Contributors: DongWook Lee, Jihoon Lee, dwlee

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-indigo-rocon-qt-library (0.7.0-0trusty) trusty; urgency=high

  * remove debugging print.
  * update publisher queue_size to avoid warning in indigo.
  * rocon_qt_teleop added.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 24 Aug 2014 15:00:00 -0000

ros-indigo-rocon-qt-library (0.5.4-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 10 Sep 2013 15:00:00 -0000

ros-indigo-rocon-qt-library (0.5.3-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 29 Aug 2013 15:00:00 -0000

ros-indigo-rocon-qt-library (0.5.2-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 16 Jul 2013 15:00:00 -0000

ros-indigo-rocon-qt-library (0.5.1-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 10 Jun 2013 16:50:50 +0900

ros-indigo-rocon-qt-library (0.5.0-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 26 May 2013 15:00:00 -0000

ros-indigo-rocon-qt-library (0.3.1-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 08 Apr 2013 15:00:00 -0000

ros-indigo-rocon-qt-library (0.3.0-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 04 Feb 2013 15:00:00 -0000

ros-indigo-rocon-qt-library (0.2.0-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 30 Jan 2013 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-rocon-qt-library
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/concert_qt_library
Standards-Version: 3.9.2

Package: ros-indigo-rocon-qt-library
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-rospkg, ros-indigo-ar-track-alvar-msgs, ros-indigo-qt-gui-py-common, ros-indigo-rocon-bubble-icons, ros-indigo-rocon-console, ros-indigo-rospy, ros-indigo-rospy-message-converter, ros-indigo-rqt-gui, ros-indigo-rqt-gui-py, ros-indigo-world-canvas-client-py, ros-indigo-world-canvas-msgs, ros-indigo-yocs-msgs
Description: Common widgets and modules for rocon qt development.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rocon-qt-library//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
